<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* daypart-form-edit.twig */
class __TwigTemplate_b4c8accc27140e69c699e34fd17e7e22d14097ee62919cde5de8f01cb6d2c25f extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'extra' => [$this, 'block_extra'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 22
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 23
        $context["forms"] = $this->loadTemplate("forms.twig", "daypart-form-edit.twig", 23)->unwrap();
        // line 22
        $this->parent = $this->loadTemplate("form-base.twig", "daypart-form-edit.twig", 22);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 25
    public function block_formTitle($context, array $blocks = [])
    {
        // line 26
        echo "    ";
        echo __("Edit Daypart");
    }

    // line 29
    public function block_formButtons($context, array $blocks = [])
    {
        // line 30
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 31
        echo __("Save");
        echo ", \$(\"#dayPartEditForm\").submit()
";
    }

    // line 34
    public function block_extra($context, array $blocks = [])
    {
        echo twig_jsonencode_filter(($context["extra"] ?? null));
    }

    // line 36
    public function block_callBack($context, array $blocks = [])
    {
        echo "dayPartFormOpen";
    }

    // line 38
    public function block_formHtml($context, array $blocks = [])
    {
        // line 39
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <ul class=\"nav nav-tabs\" role=\"tablist\">
                <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("General");
        echo "</span></a></li>
                <li><a href=\"#description\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Description");
        echo "</span></a></li>
                <li><a href=\"#exceptions\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("Exceptions");
        echo "</span></a></li>
            </ul>
            <form id=\"dayPartEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 46
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("daypart.edit", ["id" => $this->getAttribute(($context["dayPart"] ?? null), "dayPartId", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 49
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 50
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Name for this Daypart");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 51
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["dayPart"] ?? null), "name", []), ($context["helpText"] ?? null), "", "required");
        echo "

                        ";
        // line 53
        ob_start(function () { return ''; });
        echo __("Retired");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 54
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Retire? It will no longer be visible when scheduling");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        echo $context["forms"]->getcheckbox("retired", ($context["title"] ?? null), $this->getAttribute(($context["dayPart"] ?? null), "isRetired", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 57
        ob_start(function () { return ''; });
        echo __("Start Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 58
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the start time for this daypart");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        echo $context["forms"]->gettime("startTime", ($context["title"] ?? null), $this->getAttribute(($context["dayPart"] ?? null), "startTime", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 61
        ob_start(function () { return ''; });
        echo __("End Time");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enter the end time for this daypart. If the end time is before the start time, then the daypart will cross midnight.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        echo $context["forms"]->gettime("endTime", ($context["title"] ?? null), $this->getAttribute(($context["dayPart"] ?? null), "endTime", []), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 65
        ob_start(function () { return ''; });
        echo __("If this daypart is already in use, the events will be adjusted to use the new times provided. If used on a recurring event and that event has already recurred. The event will be split in two and the future event time adjusted.");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                        ";
        echo $context["forms"]->getmessage(($context["title"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"description\">
                        ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A Description of Daypart");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        echo $context["forms"]->gettextarea("description", ($context["title"] ?? null), $this->getAttribute(($context["dayPart"] ?? null), "description", []), ($context["helpText"] ?? null));
        echo "
                    </div>
                    <div class=\"tab-pane\" id=\"exceptions\">
                        ";
        // line 74
        ob_start(function () { return ''; });
        echo __("If there are any exceptions enter them below by selecting the Day from the list and entering a start/end time.");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        echo $context["forms"]->getmessage(($context["title"] ?? null));
        echo "
                        <div id=\"dayPartExceptions\">

                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "daypart-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  198 => 75,  194 => 74,  187 => 71,  182 => 70,  178 => 69,  171 => 66,  167 => 65,  161 => 63,  156 => 62,  152 => 61,  146 => 59,  141 => 58,  137 => 57,  131 => 55,  126 => 54,  122 => 53,  116 => 51,  111 => 50,  107 => 49,  101 => 46,  96 => 44,  92 => 43,  88 => 42,  83 => 39,  80 => 38,  74 => 36,  68 => 34,  62 => 31,  57 => 30,  54 => 29,  49 => 26,  46 => 25,  41 => 22,  39 => 23,  33 => 22,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "daypart-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/daypart-form-edit.twig");
    }
}
